%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [ q ] = transform( par )

q = zeros(size(par));

q(1:2) = -log(1./par(1:2) -1);
q(3:5) = log(par(3:5));

q(6:end) = par(6:end);


end

