%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function s  = AMpolyint_step2( s, y )
% s = AMpolyint_step1( X, deg )
% Finds coefficients to fit y
% In: s is a structure from step 1
%     y is a matrix of functions evaluated on the grid [columns are
%     separate functions]
% Out: s  a structure for later calls

s.coef = s.B\y;


end

