%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

% Given c and n, this file computes du/dc.
% Created Jan 20, 2012 by AGM
function mu = margutilC(c)
  global Params;
  assert(all(c(:)>0),'c not positive');
  
  mu = c.^(-Params.CRRA);
  
