%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function c = cdf_normal(x,m,s)
if ~exist('m','var')
    m = 0;
end
if ~exist('s','var')
    s = 1;
end

x = (x-m)/s;

c = 0.5 * erfc(-x/sqrt(2));

