%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function prob = transProb(i,j,lambdas, lambdal, zeta,betaTrans)

    prob = kron(betaTrans,[1-zeta   zeta 0; lambdas 0 1-lambdas; lambdal 0 1-lambdal]);
    
    prob = prob(i,j);
    
    
end

