%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function A = GetTransMat(lambda_s,lambda_l,zeta)
% transition matrix between e, us, ul
A = [1-zeta    lambda_s     lambda_l;
    zeta       0      0;
    0        1-lambda_s    1-lambda_l];  