%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function [ par ] = untransform( q )

par = zeros(size(q));

par(1:2) = 1./(1+exp(-q(1:2)));
par(3:5) = exp(q(3:5));
par(6:end) = q(6:end);

end

