%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function CPOut = ComponentProbs( i, j, k , p2, p3)
% Probability of mixture component
%i = prev labor status, j = next labor status, k = component


CP = zeros(6,6,3);  
CP(1,1,1) = 1-p3;
CP(1,1,3) = p3;
CP(1,2,1) = 1-p2;
CP(1,2,2) = p2;
CP(2,1,1) = 1-p3;
CP(2,1,3) = p3;
CP(2,3,1) = 1;
CP(3,1,1) = 1-p3;
CP(3,1,3) = p3;
CP(3,3,1) = 1;
CP(4:6,4:6,:) = CP(1:3,1:3,:);%repeat everything for beta heterogeneity

CPOut = CP(i,j,k);


end

