%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function DistributionDisplay(giniIndex,Lorenz)
    disp(['Gini coefficient is ' num2str(giniIndex)]);
    disp('quintile    share ')
    disp(['1           ' num2str(    Lorenz(find(Lorenz(:,1) <= 0.2,1,'last'),2) - 0  )])
    disp(['2           ' num2str(    Lorenz((find(Lorenz(:,1) <= 0.4,1,'last')),2) - Lorenz(find(Lorenz(:,1) <= 0.2,1,'last'),2)    )])
    disp(['3           ' num2str(    Lorenz(find(Lorenz(:,1) <= 0.6,1,'last'),2) - Lorenz(find(Lorenz(:,1) <= 0.4,1,'last'),2)    )])
    disp(['4           ' num2str(    Lorenz(find(Lorenz(:,1) <= 0.8,1,'last'),2) - Lorenz(find(Lorenz(:,1) <= 0.6,1,'last'),2)   )])
    disp(['5           ' num2str(    1 - Lorenz(find(Lorenz(:,1) <= 0.8,1,'last'),2)    )])
    disp('Top tail :')
    disp('Above pctle  share ')
    disp(['10           ' num2str(    1 - Lorenz(find(Lorenz(:,1) <= 0.9,1,'last'),2)    )])
    disp(['5            ' num2str(    1 - Lorenz(find(Lorenz(:,1) <= 0.95,1,'last'),2)    )])
    disp(['1            ' num2str(    1 - Lorenz(find(Lorenz(:,1) <= 0.99,1,'last'),2)    )])
    

end