%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function Y  = AMpolyint_step3( s, X )
% s = AMpolyint_step1( X, deg )
% Interpolates functions at X
% In: s is a structure from step 2
%     X   n' x d  matrix of points to interpolate at
%     
% Out: Y is a n' x nfunc matrix of interpolated values

assert(size(X(:,s.clsmask),2) == s.d)

Y = AMpolyint_basis(X(:,s.clsmask),s.ord,s.cls(s.clsmask))*s.coef;


end

