%  Replication files for Time-Varying Idiosyncratic Risk and Aggregate Consumption Dynamics 
%  Alisdair McKay  
%  May 1, 2017 
%  -------------------------- 

function kp = interpagridkpgrid(agrid,kpgrid,coh)


kp = zeros(size(coh));

imid = coh > agrid(1) & coh < agrid(end);
kp(imid) = interp1(agrid',kpgrid',coh(imid),'linear');

ilow = coh <= agrid(1);
kp(ilow) = 0;

ihi = coh >= agrid(end);
slp = kpgrid(end)-interp1(agrid',kpgrid',agrid(end)-1,'linear');
kp(ihi) = kpgrid(end) + slp*(coh(ihi)-agrid(end));


end